This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 550105 - Review Request: ghc-parsec - Haskell parser library
Review Request: ghc-parsec - Haskell parser library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
high Severity medium
: ---
: ---
Assigned To: Rakesh Pandit
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-23 10:45 EST by Jens Petersen
Modified: 2013-11-13 08:00 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-11 07:37:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
rpandit: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2009-12-23 10:45:39 EST
Spec URL: http://petersen.fedorapeople.org/ghc-parsec/ghc-parsec.spec
SRPM URL: http://petersen.fedorapeople.org/ghc-parsec/ghc-parsec-2.1.0.1-1.fc12.src.rpm
Description: Haskell parser library

Part of haskell-platform, currently need for ghc-6.12.1
to build ghc-network, haskell-platform, and darcs I think.
Comment 1 Jens Petersen 2010-01-10 10:45:38 EST
Spec URL: http://petersen.fedorapeople.org/ghc-parsec/ghc-parsec.spec
SRPM URL:
http://petersen.fedorapeople.org/ghc-parsec/ghc-parsec-2.1.0.1-2.fc12.src.rpm

Updated to simple ghc-rpm-macros-0.5.1 macros.
Comment 2 Rakesh Pandit 2010-01-10 12:44:27 EST
[x] Build - http://koji.fedoraproject.org/koji/taskinfo?taskID=1912376 fine
[x] rpmlint - ok 

ghc-parsec.src: W: no-cleaning-of-buildroot %install
ghc-parsec.src: W: no-buildroot-tag
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

[rakesh@dhcp1-96 SPECS]$ rpmlint /home/rakesh/rpmbuild/RPMS/i686/ghc-parsec-2.1.0.1-2.fc13.i686.rpm
ghc-parsec.i686: W: unstripped-binary-or-object /usr/lib/ghc-6.12.1/parsec-2.1.0.1/libHSparsec-2.1.0.1-ghc6.12.1.so
ghc-parsec.i686: W: executable-stack /usr/lib/ghc-6.12.1/parsec-2.1.0.1/libHSparsec-2.1.0.1-ghc6.12.1.so
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

Ignore

[rakesh@dhcp1-96 SPECS]$ rpmlint /home/rakesh/rpmbuild/RPMS/i686/ghc-parsec-devel-2.1.0.1-2.fc13.i686.rpm
ghc-parsec-devel.i686: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Ignore

[rakesh@dhcp1-96 SPECS]$ rpmlint /home/rakesh/rpmbuild/RPMS/i686/ghc-parsec-doc-2.1.0.1-2.fc13.i686.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

fine

[rakesh@dhcp1-96 SPECS]$ rpmlint /home/rakesh/rpmbuild/RPMS/i686/ghc-parsec-prof-2.1.0.1-2.fc13.i686.rpm
ghc-parsec-prof.i686: E: devel-dependency ghc-parsec-devel
ghc-parsec-prof.i686: W: no-documentation
ghc-parsec-prof.i686: W: devel-file-in-non-devel-package /usr/lib/ghc-6.12.1/parsec-2.1.0.1/libHSparsec-2.1.0.1_p.a
1 packages and 0 specfiles checked; 1 errors, 2 warnings.

Ignore

[x] name fine
[x] URL fine
[-] source ok

from srpm f09c7fcbf66c39cc4de2a50dbb1374ba82168b52 (sha1sum)
still to check from http://hackage.haskell.org/ as it went down

[x] spec name fine
[x] license ok (copy present) and source has marking
[x] source tree ok (no binaries present)
[x] archs - fine
[x] spec file legible and in american english
[x] BR's ok
[x] %files ok
[x] folders owned - ok
/usr/share/doc/ghc-mtl-1.1.0.2
/usr/lib/ghc-6.12.1/mtl-1.1.0.2
[x] source builds fine on fedora ghc archs
[x] no bundled dependencies
[x] %clean section ok
[x] filenames - ok (valid)
[x] profiling ok
[x] lib goes to %{_libdir}/ghc-%{ghc_version}/%{pkg_name}-%{version}
[x] new macros

APPROVED

You may ask for cvs request. I have done manual source traversal and it is safe. Will verify whether it is actually from upstream in a while when site is up.
Comment 3 Rakesh Pandit 2010-01-10 12:47:24 EST
ok verified from upstream. Site is up now.
Comment 4 Jens Petersen 2010-01-10 19:48:10 EST
Thank you! :)


New Package CVS Request
=======================
Package Name: ghc-parsec
Short Description: Haskell parser library
Owners: petersen
Branches: devel
InitialCC: haskell-sig
Comment 5 Jens Petersen 2010-01-11 07:23:13 EST
cvs admin done
Comment 6 Jens Petersen 2010-01-11 07:37:55 EST
Package imported and built.

http://koji.fedoraproject.org/koji/taskinfo?taskID=1913666
Comment 7 Jens Petersen 2010-09-29 01:30:47 EDT
Package Change Request
======================
Package Name: ghc-parsec
New Branches: el6
Owners: petersen
InitialCC: haskell-sig
Comment 8 Kevin Fenzi 2010-09-29 14:41:14 EDT
Git done (by process-git-requests).
Comment 9 Jens Petersen 2013-11-13 00:30:27 EST
Package Change Request
======================
Package Name: ghc-parsec
New Branches: el5
Owners: petersen
InitialCC: haskell-sig
Comment 10 Jon Ciesla 2013-11-13 08:00:50 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.